#
# spec file for package arabic-fonts
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# missing license specification for Haydar family, 
# sent mail to sales@haydarnet.nl, info@haydarlinux.org
%define with_haydar  0
# missing license to Nesf2 family, 
# sent mail to lucdevroye@gmail.com
%define with_nesf2   0

Name:           arabic-fonts
Version:        0.20161120
Release:        18.18
Summary:        A Collection of Free Arabic Fonts
License:        GPL-2.0-only AND SUSE-Public-Domain AND OFL-1.1
Group:          System/X11/Fonts
Url:            http://www.arabeyes.org/resources.php
# public domain:
Source0:        http://downloads.sourceforge.net/arabeyes/ae_fonts_mono.tar.bz2
Source1:        http://downloads.sourceforge.net/arabeyes/haydar_fonts.tar.bz2
Source2:        http://downloads.sourceforge.net/arabeyes/kacst_fonts_2.01.tar.bz2
Source3:        http://downloads.sourceforge.net/arabeyes/lateef.shaikh_fonts.tar.bz2
Source4:        http://downloads.sourceforge.net/arabeyes/sharif.univ_ttf.bz2
Source5:        http://downloads.sourceforge.net/arabeyes/ae_fonts_2.0.tar.bz2
Source6:        http://downloads.sourceforge.net/arabeyes/kacst_one_5.0.tar.bz2
Source7:        https://github.com/alif-type/amiri/releases/download/0.109/amiri-0.109.zip
BuildRequires:  bdftopcf
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  unzip
#BuildRequires:  fontconfig
#BuildRequires:  imake
#BuildRequires:  mkfontdir
#BuildRequires:  xorg-cf-files
%else
BuildRequires:  xorg-x11
%endif
%reconfigure_fonts_prereq
Requires:       arabic-ae-fonts
Requires:       arabic-bitmap-fonts
%if %{with_haydar}
Requires:       arabic-haydar-bitmap-fonts
%endif
Requires:       arabic-kacst-fonts
Requires:       arabic-kacstone-fonts
Requires:       arabic-naqsh-fonts
%if %{with_nesf2}
Requires:       arabic-nesf2-fonts
%endif
Provides:       scalable-font-ar
Provides:       locale(ar)
Obsoletes:      fonts-arabic <= 0.20091208
Provides:       fonts-arabic = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A collection of free Arabic fonts available from
http://www.arabeyes.org/resources.php.

%package -n arabic-bitmap-fonts
Summary:        Arabic Bitmap Font
License:        SUSE-Public-Domain
Group:          System/X11/Fonts
Version:        1.0
Release:        18.18
# according to PS Names Copyright:
Provides:       locale(ar)

%description -n arabic-bitmap-fonts
Misc Fixed family with arabic symbols.

%if %{with_haydar}
%package -n arabic-haydar-bitmap-fonts
Summary:        Arabic Bitmap Font
License:        SUSE-Public-Domain
Group:          System/X11/Fonts
Version:        1.0
Release:        18.18
Provides:       locale(ar)

%description -n arabic-haydar-bitmap-fonts
Arabic bitmap font (Haydar family).
%endif

%package -n arabic-kacst-fonts
Summary:        Arabic Kacst Fonts
License:        GPL-2.0-only
Group:          System/X11/Fonts
Version:        2.01
Release:        18.18
Provides:       locale(ar)

%description -n arabic-kacst-fonts
TrueType families developed by Kacst institution.

%package -n arabic-kacstone-fonts
Summary:        Arabic Kacst One Fonts
License:        GPL-2.0-only
Group:          System/X11/Fonts
Version:        5.0
Release:        18.18
Provides:       locale(ar)

%description -n arabic-kacstone-fonts
KacstOne family developed by Kacst institution.

%package -n arabic-naqsh-fonts
Summary:        Arabic Naqsh Font
License:        GPL-2.0-only
Group:          System/X11/Fonts
Version:        2.1
Release:        18.18
Provides:       locale(ar)

%description -n arabic-naqsh-fonts
Arabic TrueType font (Naqsh family).

%if %{with_nesf2}
%package -n arabic-nesf2-fonts
Summary:        Arabic Nesf2 Font
License:        SUSE-Public-Domain
Group:          System/X11/Fonts
Version:        20000102
Release:        18.18
Provides:       locale(ar)

%description -n arabic-nesf2-fonts
Arabic TrueType font (Nesf2 family).
%endif

%package -n arabic-ae-fonts
Summary:        Arabic Free and Open Source Fonts
License:        GPL-2.0-only
Group:          System/X11/Fonts
Version:        2.0
Release:        18.18
Provides:       locale(ar)

%description -n arabic-ae-fonts
Arabic TrueType fonts collected by Arab Eyes (www.arabeyes.org).

%package -n arabic-amiri-fonts
Summary:        Amiri Naksh Typeface
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://www.amirifont.org/
Version:        0.109
Release:        18.18
Provides:       locale(ar)

%description -n arabic-amiri-fonts
Amiri family is high quality Arabic Naskh typeface.

%prep
%setup -T -c %{name} -n %{name} -a 0 -a 2 -a 3 -a 5 -a 6 -a 7
%if %{with_haydar}
tar -xf %{SOURCE1}
%endif
%if %{with_nesf2}
bunzip2 --stdout %{_sourcedir}/sharif.univ_ttf.bz2 > Nesf2.ttf
%endif

%build
dos2unix License.txt

%install
mkdir -p %{buildroot}%{_miscfontsdir}
mkdir -p %{buildroot}%{_ttfontsdir}
for i in *.ttf */*.ttf */*/*.ttf
do
    # one of the kacst TrueType font files has size zero
    # make sure to install only .ttf files with size greater than zero
    # (OpenOffice even coredumps when .ttf files with size zero
    # are in the path).
    if [ -s $i ] ; then
        install -c -m 644 $i %{buildroot}%{_ttfontsdir}
    fi
done
for i in */*.bdf
do
    o="${i##*/}"
    bdftopcf "$i" | gzip -n9 >"%{buildroot}/%{_miscfontsdir}/${o%.bdf}.pcf.gz"
done

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%dir %{_miscfontsdir}
%dir %{_ttfontsdir}

%files -n arabic-bitmap-fonts
%defattr(-,root,root)
%{_miscfontsdir}/10x21.pcf.gz

%if %{with_haydar}
%files -n arabic-haydar-bitmap-fonts
%defattr(-,root,root)
%{_miscfontsdir}/haydar*.pcf.gz
%endif

%files -n arabic-kacst-fonts
%defattr(-,root,root)
%doc KacstArabicFonts-*/{Copyright,LICENSE,README}
%{_ttfontsdir}/Kacst*.ttf
%exclude %{_ttfontsdir}/KacstOne*.ttf

%files -n arabic-kacstone-fonts
%defattr(-,root,root)
%doc kacst_one_*/{BUGS,ChangeLog,Copyright,LICENSE,NEWS,README}
%{_ttfontsdir}/KacstOne*.ttf

%files -n arabic-naqsh-fonts
%defattr(-,root,root)
%doc License.txt
%{_ttfontsdir}/Naqsh.ttf

%if %{with_nesf2}
%files -n arabic-nesf2-fonts
%defattr(-,root,root)
%{_ttfontsdir}/Nesf2.ttf
%endif

%files -n arabic-ae-fonts
%defattr(-,root,root)
%doc ae_fonts_*/{ChangeLog,COPYING,README}
%{_ttfontsdir}/ae_*.ttf

%files -n arabic-amiri-fonts
%defattr(-,root,root)
%doc amiri*/*.pdf amiri*/NEWS* amiri*/OFL.txt amiri*/README*
%{_ttfontsdir}/amiri*.ttf

%changelog
* Mon Mar 18 2019 Jan Engelhardt <jengelh@inai.de>
- Modernize $RPM_* shell vars and shell logic to generate BDFs.
* Sat Apr 29 2017 bwiedemann@suse.com
- call gzip -n to make build fully reproducible
* Mon Feb 20 2017 jengelh@inai.de
- Update amiri subpackage to 0.109
  * New glyphs:
  * A new stylistic set (ss06) to avoid automatically
    adding ◌ّٰ above لله.
  * A localised &.
  * U+1EEF0 ARABIC MATHEMATICAL OPERATOR MEEM WITH HAH WITH
    TATWEEL (𞻰).
  * U+1EEF1 ARABIC MATHEMATICAL OPERATOR HAH WITH DAL (𞻱).
  * Adding missing forms of U+06C2.
* Mon Sep 21 2015 pgajdos@suse.com
- updated to 0.108
  * New glyphs:
  - New design of ﻩ in <200d>ﻪﻳ combination.
  - Alternate numbers for use in fractions, accessible with the OpenType
    features `numr` and `dnom`.
  - The new Arabic Extended-A vowel marks, in the range U+08E4–08FE.
  - Redesign the U+06C1 forms to make it distinctive from U+06BE.
  - Add “ﺞﻟ ﺝﻼﻠﻫ” symbol, U+FDFB.
  * Fixes:
  - No longer replace two successive *fatha*, *damma* or *kasra* with a
    sequential *tanween* form, the characters U+08F0, U+08F1 and U+08F2
    should be used instead.
  - Many kerning improvements.
  - Workaround a bug in Core Text (Mac OS X text layout engine) that break
    the ﻞﻠﻫ ligature.
  - All forms of U+06BA are now dotless, per Unicode standard.
  - Initial and medial forms of U+063E, U+063F, U+077A and U+077B were
    missing.
  - The dots in initial and medial forms of U+06BD should be inverted.
  * New fonts:
  - A coloured version of the Amiri Quran font that gives the vowels and
    Quranic annotation marks distinctive colours. This font uses the new
    `COLR`/`CPAL` font tables which are currently supported only by Firefox
    (all platforms) and MS Internet Explorer/Edge (Windows 8.1 and above).
  - The webfonts now include WOFF 2.0 files as well.
* Tue May 13 2014 pgajdos@suse.com
- fixed url for arabic-amiri-fonts package
* Mon May 12 2014 pgajdos@suse.com
- Amiri font updated to 0.107
  * New glyphs:
  - Arabic math letters from Arabic Mathematical Alphabetic Symbols block
    (U+1EE00–U+1EEFF).
  - Optional support for placing the kasra below the shadda, with “ss05”
    feature.
  - Missing proportional LTR digits in the slanted font.
  * Fixes:
  - Reverted the lowering of marks above wide isolated glyphs, it made the marks
    look weird relative to other ones.
  - Fixed the position of marks above qaf of ﻖﺣ.
  - Dropped the special combination in ﺖﻤﺧ<200d> when it is follow vowelled as
    it was too crowded.
  - Fixed the position of sukun over shadda.
  - Fixed the side bearings of ﺙﺭ, ﺚﻧ and sisters so that the dots do not clash
    with preceding glyphs.
  - Positive kerning between ﻡﺮﻴﻧ and likes.
  - Slight kerning between the period and closing quotes.
  - Made sure the italic European digits are really tabular.
- package regular font instead of webfonts
* Wed Jun 26 2013 pgajdos@suse.com
- new font: Amiri 0.106 [bnc#825961]
* Mon Jun 24 2013 pgajdos@suse.com
- arabic-fonts splitted into subpackages [bnc#825954]
- new font: KacstOne 5.0 [bnc#825955]
- %%if-0-out Haydar and Nesf2 family because of missing license
  specification
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 15 2012 cfarrell@suse.com
- license update: GPL-2.0+
  See the license file. This is _not_ public domain. Also, use SPDX
  (http://www.spdx.org) format
* Wed Feb  1 2012 pgajdos@suse.com
- renamed to arabic-fonts
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Wed Jan 14 2009 mfabian@suse.de
- bnc#465330: update also ae_fonts (ttf) to 2.0.
* Mon Jan 12 2009 mfabian@suse.de
- bnc#465330: update kacst fonts to 2.0.
* Fri Aug  4 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/ in STABLE (paths changed
  because of the move to Xorg X11R7).
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(ar)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 13 2005 mfabian@suse.de
- update Kacst fonts to 1.6.2.
- add ae_fonts1_ttf_1.1
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts"
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-ar".
* Tue Aug 17 2004 mfabian@suse.de
- Bugzilla #39451: run SuSEconfig.fonts only if it exists
* Tue Aug 17 2004 mfabian@suse.de
- add freetype2, freetype2-devel to neededforbuild
  (bdftopcf needs libfreetype).
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Tue Feb 17 2004 ro@suse.de
- fix typo in specfile
* Sat Feb 14 2004 mfabian@suse.de
- don't build as root
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Wed May 28 2003 mfabian@suse.de
- new package: fonts-arabic version 0.20030528
